Bug 1422081 (CVE-2017-5972)

Summary: CVE-2017-5972 kernel: SYN cookie protection mechanism not properly implemented
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, agouny, aquini, bhu, carnil, dhoward, dominik.mierzejewski, esammons, fhrbata, gansalmon, iboverma, ichavero, itamar, jbrouer, jforbes, jkacur, jkastner, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, nmurray, pholasek, plougher, rt-maint, rvrbovsk, sardella, security-response-team, slawomir, williams, wmealing, yjog, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-05 00:07:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1422084    

Description Andrej Nemec 2017-02-14 12:41:47 UTC
The TCP stack in the Linux kernel 3.x does not properly implement a SYN cookie protection mechanism for the case of a fast network connection, which allows remote attackers to cause a denial of service (CPU consumption) by sending many TCP SYN packets.

The belief is that the system spends considerable time generating TCP syn cookies and creates a soft lockup in the system, reducing its ability to handle other requests.  This is as the syn cookie generation is serialized per system and not per CPU.  Other CPU's on the system can continue to work correctly.

References:

https://cxsecurity.com/issue/WLB-2017020112
https://githubengineering.com/syn-flood-mitigation-with-synsanity/

Comment 2 Wade Mealing 2017-03-03 04:34:25 UTC
Statement:

This issue affects Red Hat Enterprise Linux 5,6, 7 and MRG-2 kernels.  Red Hat has no plans to fix this issue at this time.

While performance enhancements have been made upstream, Red Hat Product Security believes the report to be invalid and able to be mitigated with synproxy.  This flaw is currently under investigation for validity and Red Hat is asking to revoke the CVE.